.main-bonus {
	display: flex;
	flex-direction: column;
	padding: 12px 10px 24px;
	background: linear-gradient(97.02deg, #222222 0%, #444444 52.08%, #222222 100%);
}

.main-bonus__inside {
	display: grid;
}

.main-bonus__poster {
	position: relative;
	margin-bottom: 16px;
	box-shadow: 0px 3px 15px rgba(0, 0, 0, 0.57);
}

.main-bonus__poster-link {
	display: block;
	position: relative;
	width: 100%;
	height: 0;
	padding-top: 75%;
	overflow: hidden;
}

.main-bonus__poster-image {
	position: absolute;
	top: 50%;
	left: 50%;
	min-width: 100%;
	min-height: 100%;
	width: 100%;
	height: 100%;
	transform: translate(-50%, -50%);
	object-fit: cover;
}

.main-bonus__label {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	top: 10px;
	left: 10px;
	height: 24px;
	padding: 0 8px;
	font-size: 14px;
	line-height: 16px;
	color: #ffffff;
	background-color: #393939;
	border-radius: 4px;
}

.main-bonus__time {
	display: flex;
	align-items: center;
	margin-bottom: 5px;
}

.main-bonus__time-icon {
	display: block;
	width: 14px;
	height: 14px;
	margin-right: 5px;
	fill: #34C759;
}

.main-bonus__time-text {
	font-size: 12px;
	line-height: 14px;
	color: #999999;
}

.main-bonus__time-text--highlight {
	font-weight: bold;
}

.main-bonus__title {
	margin-bottom: 24px;
	font-size: 18px;
	line-height: 24px;
	font-weight: 500;
	color: #ffffff;
}

.main-bonus__title-link {
	color: #ffffff;
}

.main-bonus__title-link:hover {
	text-decoration: underline;
	text-decoration-thickness: 1px;
}

.main-bonus__title-highlight {
	color: #F79820;
}

.main-bonus__buttons {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.main-bonus__button {
	width: 100%;
	margin: 0 auto;
	text-transform: initial;
}

.main-bonus__button:not(:first-child) {
	margin-left: 6px;
}

.main-bonus__button:not(:last-child) {
	margin-right: 6px;
}

.bonuses {
	display: flex;
	flex-direction: column;
}

.bonuses__newsletter {
	width: 100%;
	margin-bottom: 12px;
}

.bonus-item {
	margin-bottom: 12px;
}

.bonus-item__inside {
	display: flex;
	flex-direction: column;
	height: 100%;
}

.bonus-item__poster {
	position: relative;
}

.bonus-item__poster-link {
	display: block;
	position: relative;
	width: 100%;
	height: 0;
	padding-top: 75%;
	overflow: hidden;
}

.bonus-item__poster-image {
	position: absolute;
	top: 50%;
	left: 50%;
	min-width: 100%;
	min-height: 100%;
	width: 100%;
	height: 100%;
	transform: translate(-50%, -50%);
}

.bonus-item__label {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	top: 10px;
	left: 10px;
	height: 24px;
	padding: 0 8px;
	font-size: 14px;
	line-height: 16px;
	color: #ffffff;
	background-color: #393939;
	border-radius: 4px;
}

.bonus-item__tag {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	top: 6px;
	right: 6px;
	height: 18px;
	padding: 0 2px;
	font-size: 14px;
	line-height: 14px;
	text-transform: uppercase;
	color: #ffffff;
	background: #03FFD2;
	border-radius: 2px;
}

.bonus-item__tag-text {
	text-shadow: 0px 1px 2px rgba(0, 0, 0, 0.25);
}

.bonus-item__body {
	padding: 16px;
	border: 1px solid #D8D8D8;
	border-top: 0;
}

.bonus-item__room {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 36px;
	background-color: #EFEFEF;
}

.bonus-item__room--exclusive {
	font-size: 14px;
	line-height: 1;
	font-weight: bold;
	text-transform: uppercase;
	color: #ffffff;
	background-color: #FF0000;
}

.bonus-item__room-link {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 108px;
	height: 36px;
}

.bonus-item__room-image {
	display: block;
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
}

.bonus-item__time {
	display: flex;
	align-items: center;
	margin-bottom: 5px;
}

.bonus-item__time-icon {
	display: block;
	width: 14px;
	height: 14px;
	margin-right: 5px;
	fill: #34C759;
}

.bonus-item__time-icon--red {
	fill: #FF0000;
}

.bonus-item__time-text {
	font-size: 12px;
	line-height: 14px;
	color: #999999;
}

.bonus-item__time-text--highlight {
	font-weight: bold;
}

.bonus-item__title {
	margin-bottom: 24px;
	font-size: 16px;
	line-height: 20px;
	font-weight: 500;
}

.bonus-item__title-link {
	color: #333333;
	text-decoration: none;
}

.bonus-item__title-link:hover {
	color: #FF0000;
}

.bonus-item__buttons {
	display: flex;
	align-items: center;
}

.bonus-item__buttons .partner-button--promocode .partner-button__text {
	font-size: 14px;
	line-height: 16px;
	word-break: break-word;
	white-space: initial;
}

.bonus-item__button {
	width: 100%;
}

.bonus-item__button:not(:first-child) {
	margin-left: 6px;
}

.bonus-item__button:not(:last-child) {
	margin-right: 6px;
}

/*** Responsive ***/

@media (min-width: 360px) {
	.main-bonus {
		padding: 12px 15px 36px;
	}
}

@media (min-width: 768px) {

	.main-bonus {
		margin: 0 0 24px;
		padding: 12px;
	}

	.main-bonus__inside {
		align-items: center;
		grid-template-columns: 1fr 250px;
		grid-gap: 16px;
	}

	.main-bonus__poster {
		margin-bottom: 0;
	}

	.main-bonus__title {
		font-size: 24px;
		line-height: 28px;
	}

	.main-bonus__button {
		max-width: 210px;
	}

	.bonus-item__inside {
		flex-direction: row;
		max-height: 145px;
	}

	.bonus-item__poster {
		flex-shrink: 0;
		width: 193px;
	}

	.bonus-item__aside {
		width: 100%;
	}

	.bonus-item__body {
		display: flex;
		justify-content: space-between;
		height: 100%;
		padding: 12px;
		border-left: 0;
		border-top: 1px solid #D8D8D8;
	}

	.bonus-item__body--with-room {
		height: calc(100% - 36px);
		border-top: 0;
	}

	.bonus-item__title {
		margin-bottom: 0;
	}

	.bonus-item__buttons {
		flex-direction: column;
		justify-content: center;
		flex-shrink: 0;
		min-width: 130px;
		margin-left: 16px;
	}

	.bonus-item__button {
		height: 40px;
	}

	.bonus-item__button:not(:first-child) {
		margin-left: 0;
	}

	.bonus-item__button:not(:last-child) {
		margin-right: 0;
	}

	.bonus-item__button:last-child {
		margin-top: 12px;
	}
}

@media (min-width: 1024px) {

	.main-bonus {
		padding: 24px;
	}

	.main-bonus__inside {
		grid-template-columns: 1fr 300px;
		grid-gap: 24px;
	}
}

@media (min-width: 1280px) {

	.bonuses {
		flex-direction: row;
		flex-wrap: wrap;
		margin: 0 -12px;
	}

	.bonuses__newsletter {
		margin: 0 12px 24px;
	}

	.bonus-item {
		width: 33.33%;
		margin-bottom: 24px;
		padding: 0 12px;
	}

	.bonus-item__inside {
		flex-direction: column;
		max-height: initial;
	}

	.bonus-item__poster {
		width: initial;
	}

	.bonus-item__aside {
		height: 100%;
	}

	.bonus-item__body {
		flex-direction: column;
		padding: 16px;
		border-left: 1px solid #D8D8D8;
		border-top: 0;
	}

	.bonus-item__title {
		margin-bottom: 24px;
	}

	.bonus-item__buttons {
		flex-direction: row;
		justify-content: space-between;
		margin-left: 0;
	}

	.bonus-item__button {
		height: 50px;
	}

	.bonus-item__button:not(:first-child) {
		margin-left: 6px;
	}

	.bonus-item__button:not(:last-child) {
		margin-right: 6px;
	}

	.bonus-item__button:last-child {
		margin-top: 0;
	}
}
